Package org.jboss.resteasy.client.jaxrs.engines.vertx

## Class VertxClientHttpEngine

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.engines.vertx.VertxClientHttpEngine

- All Implemented Interfaces:
    `ClientHttpEngine`, `AsyncClientHttpEngine`

      public class VertxClientHttpEngine
      extends Object
      implements AsyncClientHttpEngine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.client.jaxrs.engines.AsyncClientHttpEngine

      `AsyncClientHttpEngine.ResultExtractor<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `REQUEST_TIMEOUT_MS` | Client config property to set when a request timeout is needed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxClientHttpEngine()` |
    `VertxClientHttpEngine​(io.vertx.core.http.HttpClient client)` |
    `VertxClientHttpEngine​(io.vertx.core.Vertx vertx)` |
    `VertxClientHttpEngine​(io.vertx.core.Vertx vertx, io.vertx.core.http.HttpClientOptions options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `HostnameVerifier` | `getHostnameVerifier()` | Needed for Client.getHostnameVerifier()
    `SSLContext` | `getSslContext()` | Needed for Client.getSslContext();
    `javax.ws.rs.core.Response` | `invoke​(javax.ws.rs.client.Invocation request)` |
    `<T> Future<T>` | `submit​(ClientInvocation request, boolean buffered, javax.ws.rs.client.InvocationCallback<T> callback, AsyncClientHttpEngine.ResultExtractor<T> extractor)` | Submits an asynchronous request.
    `<T> CompletableFuture<T>` | `submit​(ClientInvocation request, boolean buffered, AsyncClientHttpEngine.ResultExtractor<T> extractor, ExecutorService executorService)` | Submits an asynchronous request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.client.jaxrs.engines.AsyncClientHttpEngine

      `submit`

    - ### Methods inherited from interface org.jboss.resteasy.client.jaxrs.ClientHttpEngine

      `isFollowRedirects, setFollowRedirects`

- - ### Field Detail

    - #### REQUEST_TIMEOUT_MS

          public static final String REQUEST_TIMEOUT_MS

      Client config property to set when a request timeout is needed.

  - ### Constructor Detail

    - #### VertxClientHttpEngine

          public VertxClientHttpEngine()

    - #### VertxClientHttpEngine

          public VertxClientHttpEngine​(io.vertx.core.Vertx vertx,
                                       io.vertx.core.http.HttpClientOptions options)

    - #### VertxClientHttpEngine

          public VertxClientHttpEngine​(io.vertx.core.Vertx vertx)

    - #### VertxClientHttpEngine

          public VertxClientHttpEngine​(io.vertx.core.http.HttpClient client)

  - ### Method Detail

    - #### submit

          public <T> Future<T> submit​(ClientInvocation request,
                                      boolean buffered,
                                      javax.ws.rs.client.InvocationCallback<T> callback,
                                      AsyncClientHttpEngine.ResultExtractor<T> extractor)

      Description copied from interface: `AsyncClientHttpEngine`
      Submits an asynchronous request.
      Specified by:
        `submit` in interface `AsyncClientHttpEngine`
      Type Parameters:
        `T` - type
      Parameters:
        `request` - Request
        `buffered` - buffer the response?
        `callback` - Optional callback receiving the result, which is run inside the io-thread. may be null.
        `extractor` - ResultExtractor for extracting a result out of a ClientResponse. Is run inside the io-thread
      Returns:
        Future with the result or Exception

    - #### submit

          public <T> CompletableFuture<T> submit​(ClientInvocation request,
                                                 boolean buffered,
                                                 AsyncClientHttpEngine.ResultExtractor<T> extractor,
                                                 ExecutorService executorService)

      Description copied from interface: `AsyncClientHttpEngine`
      Submits an asynchronous request.
      Specified by:
        `submit` in interface `AsyncClientHttpEngine`
      Type Parameters:
        `T` - type
      Parameters:
        `request` - Request
        `buffered` - buffer the response?
        `extractor` - ResultExtractor for extracting a result out of a ClientResponse. Is run inside the io-thread
        `executorService` - the executor to use for asynchronous execution
      Returns:
        `CompletableFuture` with the result or Exception

    - #### getSslContext

          public SSLContext getSslContext()

      Description copied from interface: `ClientHttpEngine`
      Needed for Client.getSslContext();
      Specified by:
        `getSslContext` in interface `ClientHttpEngine`
      Returns:
        `SSLContext`

    - #### getHostnameVerifier

          public HostnameVerifier getHostnameVerifier()

      Description copied from interface: `ClientHttpEngine`
      Needed for Client.getHostnameVerifier()
      Specified by:
        `getHostnameVerifier` in interface `ClientHttpEngine`
      Returns:
        `HostnameVerifier`

    - #### invoke

          public javax.ws.rs.core.Response invoke​(javax.ws.rs.client.Invocation request)

      Specified by:
        `invoke` in interface `ClientHttpEngine`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ClientHttpEngine`